use super::Key;

pub const OYAYUBI: [Key; 30] = [
    Key::new('Q', '。', 'ぁ', None),
    Key::new('W', 'か', 'え', None),
    Key::new('E', 'た', 'り', None),
    Key::new('R', 'こ', 'ゃ', None),
    Key::new('T', 'さ', 'れ', None),
    Key::new('Y', 'ら', 'よ', Some('ぱ')),
    Key::new('U', 'ち', 'に', None),
    Key::new('I', 'く', 'る', None),
    Key::new('O', 'つ', 'ま', None),
    Key::new('P', '，', 'ぇ', Some('ぴ')),
    Key::new('A', 'う', 'を', None),
    Key::new('S', 'し', 'あ', None),
    Key::new('D', 'て', 'な', None),
    Key::new('F', 'け', 'ゅ', None),
    Key::new('G', 'せ', 'も', None),
    Key::new('H', 'は', 'み', None),
    Key::new('J', 'と', 'お', None),
    Key::new('K', 'き', 'の', None),
    Key::new('L', 'い', 'ょ', Some('ぽ')),
    Key::new(';', 'ん', 'っ', None), // Missing +
    Key::new('Z', '．', 'ぅ', None),
    Key::new('X', 'ひ', 'ー', None),
    Key::new('C', 'す', 'ろ', None),
    Key::new('V', 'ふ', 'や', None),
    Key::new('B', 'へ', 'ぃ', None),
    Key::new('N', 'め', 'ぬ', Some('ぷ')),
    Key::new('M', 'そ', 'ゆ', None),
    Key::new(',', 'ね', 'む', Some('ぺ')), // Missing <
    Key::new('.', 'ほ', 'わ', None), // Missing >
    Key::new('?', '・', 'ぉ', Some('ゎ')) // Missing /
];