mod oyayubi;
pub use oyayubi::OYAYUBI;

use std::fmt::{Display, self};

pub struct Key {
    pub latin: char,
    pub normal: char,
    pub shift: char,
    pub alt_shift: Option<char>,
}

impl Display for Key {
    fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
        write!(f, "{}", self.latin)
    }
}

impl Key {
    const fn new(latin: char, normal: char, shift: char, alt_shift: Option<char>) -> Self {
        Self {
            latin,
            normal,
            shift,
            alt_shift,
        }
    }
}